stages:
  - compile

compile:
  image: registry.gitlab.utc.fr/uav-hds/robomap3-toolchain-docker-ci:armv7a-neon
  stage: compile
  tags:
    - docker
    - linux
  script:
    - git clone https://gitlab.utc.fr/uav-hds/igep/linux.git
    - source /opt/robomap3/2.1.3/armv7a-neon/environment-setup-armv7a-neon-poky-linux-gnueabi
    - unset LDFLAGS
    - cd linux && make igep00x0_uav_defconfig && make scripts && make prepare && cd ..
    - make KSRC=${PWD}/linux